<?php

$table_name = $_SESSION['db_prefix']."_alerts";
	$alert_query = "SELECT user_name, send_alert, send_email FROM $table_name WHERE alert_name = 'receive order' AND condition_1 < ".$quote_value." ";
	$alert_result = mySQL_query($alert_query);
	$alert_num = mysql_num_rows($alert_result);
			
	$i=0;
	$email_address = '';
	while ($i<$alert_num) {
		$user_name = mysql_result($alert_result, $i, "user_name");
		$send_alert = mysql_result($alert_result, $i, "send_alert");
		$send_email = mysql_result($alert_result, $i, "send_email");
		
		if ($send_alert=='yes') {
			$table_name = $_SESSION['db_prefix']."_alert_message";
			$message_query = "INSERT INTO $table_name (user_name, department, generated, alert, detail_1, detail_2 ) VALUES ('".$_SESSION['username']."', 'sales', '".$entry_date."', '10', '".$_SESSION['quote_no']."', '".$_SESSION['seller']."' ) ";
			execsql($message_query);
		}
		
		
		if ($send_email=='yes') {
			$table_name = $_SESSION['db_prefix']."_users";
			$address_query = "SELECT email FROM $table_name WHERE username = '".$_SESSION['username']."' ";
			$address_result = mySQL_query($address_query);
			$email_address = mysql_result($address_result, 0, "email").', '.$email_address;
		}
	$i++;	
	}

				$table_name2 = $_SESSION['db_prefix']."_customer";
				$customer_query = "SELECT account_type, title, name_2, comp_name FROM $table_name2 WHERE cust_id ='".$_SESSION['cust_id']."' ";
				$customer_result = mySQL_query($customer_query);
				$customer_num = mysql_num_rows($customer_result);	
				$account_type = mysql_result($customer_result, 0, "account_type");
				if ($account_type=="corporate") { 
					$cust_name = mysql_result($customer_result, 0, "comp_name"); 
				} 
				else {
					$cust_name = mysql_result($customer_result, 0, "title")." ".mysql_result($customer_result, 0, "name_2")." ".mysql_result($customer_result, 0, "comp_name");
 				}
					
$table_name = $_SESSION['db_prefix']."_quotations";
$project_query = "SELECT project_no, project_place, quote_type, branch FROM $table_name WHERE quote_no = '".$_SESSION['quote_no']."'  ";
$project_result = mySQL_query($project_query);
$project_no = mysql_result($project_result, 0, "project_no");
$project_place = mysql_result($project_result, 0, "project_place");	
$quote_type = mysql_result($project_result, 0, "quote_type");
$branch = mysql_result($project_result, 0, "branch");

if ($quote_type=='tiles') {$quote_type = 'Tiles & Accessories';}
if ($quote_type=='trusses') {$quote_type = 'Installation';}
		
if ($email_address!='') {			
			$subject = 'New '.$quote_type.' order.';
			$message = '<body><font face=Calibri size=3><b>'.$branch.' branch.</b> <br><br>A new '.$quote_type.' order was received on '.date("d-m-Y, H:m", strtotime($entry_date )).' by '.$_SESSION['username'].'.<br><br>Order value: P '.number_format($quote_value, 2, '.', ',').'<br><br>Customer: '.$cust_name.'<br>Project: &nbsp;&nbsp;&nbsp;&nbsp;'.$project_no.', '.$project_place.'</font><br><br>For more info, login at <a href=costing.tocotex.com/login.php?e=>Vertex Management Program</a>.<br><br><font face=Calibri size=3 color=red><b>This message comes from a non-responsive address, please do not reply</b></font><body>';
			include ('alert_to_email.php');
		}
			
?>
